SELECT
  q1.keibajo_code AS "n"
, q1.track_code AS "ׯ"
, q1.kyori AS ""
, q1.shuboba AS "퉲n"
, q1.seibetsu_code AS ""
, q1.record_count AS "o"
--, q1.chakukaisu_1 AS "1"
--, q1.chakukaisu_2 AS "2ȓ"
--, q1.chakukaisu_3 AS "3ȓ"
, q1.rate_1 AS ""
--, q1.rate_2 AS "AΗ"
, q1.rate_3 AS ""
--, q1.haraimodoshi_tansho AS "P"
--, q1.haraimodoshi_fukusho AS ""
, q1.rate_1 * q1.haraimodoshi_tansho AS x1
, q1.rate_3 * q1.haraimodoshi_fukusho AS x3
FROM
  (
SELECT
  CASE
    WHEN ra.keibajo_code = '01' THEN 'Dy'
    WHEN ra.keibajo_code = '02' THEN ''
    WHEN ra.keibajo_code = '03' THEN ''
    WHEN ra.keibajo_code = '04' THEN 'V'
    WHEN ra.keibajo_code = '05' THEN ''
    WHEN ra.keibajo_code = '06' THEN 'R'
    WHEN ra.keibajo_code = '07' THEN ''
    WHEN ra.keibajo_code = '08' THEN 's'
    WHEN ra.keibajo_code = '09' THEN '_'
    WHEN ra.keibajo_code = '10' THEN 'q'
  END AS keibajo_code
, CASE
    WHEN ra.track_code BETWEEN '10' AND '22' THEN '1:'
    WHEN ra.track_code BETWEEN '23' AND '29' THEN '2:_[g'
    WHEN ra.track_code BETWEEN '51' AND '59' THEN '3:Q'
  END AS track_code
, CASE
    WHEN ra.kyori BETWEEN '1000' AND '1600' THEN '1000m`1600m'
    WHEN ra.kyori BETWEEN '1601' AND '2200' THEN '1601m`2200m'
    WHEN ra.kyori BETWEEN '2201' AND '5000' THEN '2201m`'
  END AS kyori
, um.ketto_joho_01b AS shuboba
, CASE WHEN se.seibetsu_code = '2' THEN '' ELSE '' END AS seibetsu_code
, count(*) AS record_count
, sum(ap.chakukaisu_1) AS chakukaisu_1
, sum(ap.chakukaisu_1) + sum(ap.chakukaisu_2) AS chakukaisu_2
, sum(ap.chakukaisu_1) + sum(ap.chakukaisu_2) + sum(ap.chakukaisu_3) AS chakukaisu_3
, sum(ap.chakukaisu_1) / count(*) AS rate_1
, (sum(ap.chakukaisu_1) + sum(ap.chakukaisu_2)) / count(*) AS rate_2
, (sum(ap.chakukaisu_1) + sum(ap.chakukaisu_2) + sum(ap.chakukaisu_3)) / count(*) AS rate_3
, sum(CASE WHEN ap.haraimodoshi_tansho > 0 THEN 1 END) / sum(CASE WHEN ap.haraimodoshi_tansho > 0 THEN 1 / ap.haraimodoshi_tansho END) / 100 AS haraimodoshi_tansho
, sum(CASE WHEN ap.haraimodoshi_fukusho > 0 THEN 1 END) / sum(CASE WHEN ap.haraimodoshi_fukusho > 0 THEN 1 / ap.haraimodoshi_fukusho END) / 100 AS haraimodoshi_fukusho
FROM
  jvd_ra ra
INNER JOIN
  jvd_se se
ON  se.kaisai_nen = ra.kaisai_nen
AND se.kaisai_tsukihi = ra.kaisai_tsukihi
AND se.keibajo_code = ra.keibajo_code
AND se.race_bango = ra.race_bango
INNER JOIN
  jvd_um um
ON  um.ketto_toroku_bango = se.ketto_toroku_bango
INNER JOIN
  apd_se_jv ap
ON  ap.kaisai_nen = se.kaisai_nen
AND ap.kaisai_tsukihi = se.kaisai_tsukihi
AND ap.keibajo_code = se.keibajo_code
AND ap.race_bango = se.race_bango
AND ap.umaban = se.umaban
WHERE 1 = 1
AND ra.data_kubun = '7'
AND ra.kaisai_nen || ra.kaisai_tsukihi >= to_char(to_date('20241001', 'YYYYMMDD') + interval '-2 year', 'YYYYMMDD')
AND ra.kaisai_nen || ra.kaisai_tsukihi <= '20241001'
AND ra.keibajo_code IN ('04', '05', '08')
AND se.ijo_kubun_code NOT IN ('1', '2', '3')
GROUP BY
  1, 2, 3, 4, 5
HAVING 1 = 1
AND count(*) >= 10
AND sum(ap.chakukaisu_1) + sum(ap.chakukaisu_2) + sum(ap.chakukaisu_3) >= 2
) q1
WHERE 1 = 1
AND q1.rate_3 * q1.haraimodoshi_fukusho >= 1
ORDER BY
  q1.keibajo_code ASC
, q1.track_code ASC
, q1.kyori ASC
, x3 DESC
