SELECT
  q1.kishumei_ryakusho AS "R"
, q1.tozai_shozoku_code AS ""
, q1.track_code AS "ׯ"
, q1.record_count AS "o"
--, q1.chakukaisu_1 AS "1"
--, q1.chakukaisu_2 AS "2ȓ"
--, q1.chakukaisu_3 AS "3ȓ"
, q1.rate_1 AS ""
--, q1.rate_2 AS "AΗ"
, q1.rate_3 AS ""
--, q1.haraimodoshi_tansho AS "P"
--, q1.haraimodoshi_fukusho AS ""
, q1.rate_1 * q1.haraimodoshi_tansho AS x1
, q1.rate_3 * q1.haraimodoshi_fukusho AS x3
FROM
  (
SELECT
  se.kishu_code
, se.kishumei_ryakusho
, CASE
    WHEN ks.tozai_shozoku_code = '1' THEN 'Y'
    WHEN ks.tozai_shozoku_code = '2' THEN 'I'
    WHEN ks.tozai_shozoku_code = '3' THEN 'n'
    WHEN ks.tozai_shozoku_code = '4' THEN 'O'
  END AS tozai_shozoku_code
, CASE WHEN ra.track_code BETWEEN '51' AND '59' THEN '2:Q' ELSE '1:n' END AS track_code
, count(*) AS record_count
, sum(ap.chakukaisu_1) AS chakukaisu_1
, sum(ap.chakukaisu_1) + sum(ap.chakukaisu_2) AS chakukaisu_2
, sum(ap.chakukaisu_1) + sum(ap.chakukaisu_2) + sum(ap.chakukaisu_3) AS chakukaisu_3
, sum(ap.chakukaisu_1) / count(*) AS rate_1
, (sum(ap.chakukaisu_1) + sum(ap.chakukaisu_2)) / count(*) AS rate_2
, (sum(ap.chakukaisu_1) + sum(ap.chakukaisu_2) + sum(ap.chakukaisu_3)) / count(*) AS rate_3
, sum(CASE WHEN ap.haraimodoshi_tansho > 0 THEN 1 END) / sum(CASE WHEN ap.haraimodoshi_tansho > 0 THEN 1 / ap.haraimodoshi_tansho END) / 100 AS haraimodoshi_tansho
, sum(CASE WHEN ap.haraimodoshi_fukusho > 0 THEN 1 END) / sum(CASE WHEN ap.haraimodoshi_fukusho > 0 THEN 1 / ap.haraimodoshi_fukusho END) / 100 AS haraimodoshi_fukusho
FROM
  jvd_ra ra
INNER JOIN
  jvd_se se
ON  se.kaisai_nen = ra.kaisai_nen
AND se.kaisai_tsukihi = ra.kaisai_tsukihi
AND se.keibajo_code = ra.keibajo_code
AND se.race_bango = ra.race_bango
INNER JOIN
  apd_se_jv ap
ON  ap.kaisai_nen = se.kaisai_nen
AND ap.kaisai_tsukihi = se.kaisai_tsukihi
AND ap.keibajo_code = se.keibajo_code
AND ap.race_bango = se.race_bango
AND ap.umaban = se.umaban
INNER JOIN
  jvd_ks ks
ON  ks.kishu_code = se.kishu_code
WHERE 1 = 1
AND ra.data_kubun = '7'
AND ra.kaisai_nen || ra.kaisai_tsukihi >= to_char(to_date('20240924', 'YYYYMMDD') + interval '-6 month', 'YYYYMMDD')
AND ra.kaisai_nen || ra.kaisai_tsukihi <= '20240924'
AND se.ijo_kubun_code NOT IN ('1', '2', '3')
GROUP BY
  se.kishu_code
, se.kishumei_ryakusho
, ks.tozai_shozoku_code
, 4
HAVING 1 = 1
AND count(*) >= 10
AND sum(ap.chakukaisu_1) + sum(ap.chakukaisu_2) + sum(ap.chakukaisu_3) > 1
) q1
ORDER BY
  q1.track_code ASC
, x3 DESC
